Package it.ernytech.tdlib

## Class TdApi.CheckChatUsernameResult

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.CheckChatUsernameResult

Direct Known Subclasses:
  `TdApi.CheckChatUsernameResultOk`, `TdApi.CheckChatUsernameResultPublicChatsTooMuch`, `TdApi.CheckChatUsernameResultPublicGroupsUnavailable`, `TdApi.CheckChatUsernameResultUsernameInvalid`, `TdApi.CheckChatUsernameResultUsernameOccupied`

Enclosing class:
  TdApi

    public abstract static class TdApi.CheckChatUsernameResult
    extends TdApi.Object

This class is an abstract base class. Represents result of checking whether a username can be set for a chat.

### Constructor Summary

Constructors
`CheckChatUsernameResult()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### CheckChatUsernameResult

    public CheckChatUsernameResult()